import { AfterViewInit, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { Create } from 'powerbi-client';
import { IReportCreateConfiguration } from 'powerbi-models';
import { EventHandler, PowerBIEmbedComponent } from '../powerbi-embed/powerbi-embed.component';
import * as i0 from "@angular/core";
/**
 * Create report component to embed the entity, extends the Base component
 */
export declare class PowerBICreateReportEmbedComponent extends PowerBIEmbedComponent implements OnInit, OnChanges, AfterViewInit {
    embedConfig: IReportCreateConfiguration;
    eventHandlers?: Map<string, EventHandler | null>;
    private containerRef;
    private _embed?;
    private get embed();
    private set embed(value);
    constructor();
    getCreateObject(): Create;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    /**
     * Embed the PowerBI Create report
     *
     * @returns void
     */
    private embedCreateReport;
    static ɵfac: i0.ɵɵFactoryDeclaration<PowerBICreateReportEmbedComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PowerBICreateReportEmbedComponent, "powerbi-create-report[embedConfig]", never, { "embedConfig": { "alias": "embedConfig"; "required": false; }; "eventHandlers": { "alias": "eventHandlers"; "required": false; }; }, {}, never, never, false, never>;
}
