import { AfterViewInit, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { Dashboard, IDashboardEmbedConfiguration } from 'powerbi-client';
import { EventHandler, PowerBIEmbedComponent } from '../powerbi-embed/powerbi-embed.component';
import * as i0 from "@angular/core";
/**
 * Dashboard component to embed the dashboard, extends the Base component
 */
export declare class PowerBIDashboardEmbedComponent extends PowerBIEmbedComponent implements OnInit, OnChanges, AfterViewInit {
    embedConfig: IDashboardEmbedConfiguration;
    eventHandlers?: Map<string, EventHandler | null>;
    private containerRef;
    private _embed?;
    private get embed();
    private set embed(value);
    constructor();
    getDashboard(): Dashboard;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    /**
     * Embed the PowerBI Dashboard
     *
     * @returns void
     */
    private embedDashboard;
    static ɵfac: i0.ɵɵFactoryDeclaration<PowerBIDashboardEmbedComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PowerBIDashboardEmbedComponent, "powerbi-dashboard[embedConfig]", never, { "embedConfig": { "alias": "embedConfig"; "required": false; }; "eventHandlers": { "alias": "eventHandlers"; "required": false; }; }, {}, never, never, false, never>;
}
