import { OnInit } from '@angular/core';
import { Embed, service } from 'powerbi-client';
import * as i0 from "@angular/core";
/**
 * Type for event handler function of embedded entity
 */
export type EventHandler = (event?: service.ICustomEvent<any>, embeddedEntity?: Embed) => void | null;
/**
 * Base component to hold common properties for all the Power BI entities
 */
export declare class PowerBIEmbedComponent implements OnInit {
    private static _powerbi;
    cssClassName?: string;
    service?: service.Service;
    powerbi: service.Service;
    private prevEventHandlerMapString;
    ngOnInit(): void;
    /**
     * Sets all event handlers from the input on the embedded entity
     *
     * @param embed Embedded object
     * @param eventHandlerMap Array of event handlers to be set on embedded entity
     * @returns void
     */
    protected setEventHandlers(embed: Embed, eventHandlerMap: Map<string, EventHandler | null>): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PowerBIEmbedComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PowerBIEmbedComponent, "powerbi-embed", never, { "cssClassName": { "alias": "cssClassName"; "required": false; }; "service": { "alias": "service"; "required": false; }; }, {}, never, never, false, never>;
}
