import { AfterViewInit, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { IPaginatedReportLoadConfiguration } from 'powerbi-models';
import { PowerBIEmbedComponent } from '../powerbi-embed/powerbi-embed.component';
import * as i0 from "@angular/core";
/**
 * Paginated report component to embed the entity, extends the Base component
 */
export declare class PowerBIPaginatedReportEmbedComponent extends PowerBIEmbedComponent implements OnInit, OnChanges, AfterViewInit {
    embedConfig: IPaginatedReportLoadConfiguration;
    private containerRef;
    private _embed?;
    private get embed();
    private set embed(value);
    constructor();
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    /**
     * Embed the PowerBI Paginated report
     *
     * @returns void
     */
    private embedPaginatedReport;
    static ɵfac: i0.ɵɵFactoryDeclaration<PowerBIPaginatedReportEmbedComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PowerBIPaginatedReportEmbedComponent, "powerbi-paginated-report[embedConfig]", never, { "embedConfig": { "alias": "embedConfig"; "required": false; }; }, {}, never, never, false, never>;
}
