import { AfterViewInit, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { IQnaEmbedConfiguration, Qna } from 'powerbi-client';
import { EventHandler, PowerBIEmbedComponent } from '../powerbi-embed/powerbi-embed.component';
import * as i0 from "@angular/core";
/**
 * Qna component to embed the Qna visual, extends Base component
 */
export declare class PowerBIQnaEmbedComponent extends PowerBIEmbedComponent implements OnInit, OnChanges, AfterViewInit {
    embedConfig: IQnaEmbedConfiguration;
    eventHandlers?: Map<string, EventHandler | null>;
    private containerRef;
    private _embed?;
    private get embed();
    private set embed(value);
    constructor();
    getQna(): Qna;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    /**
     * Embed the PowerBI QnA Visual
     *
     * @returns void
     */
    private embedQnaVisual;
    static ɵfac: i0.ɵɵFactoryDeclaration<PowerBIQnaEmbedComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PowerBIQnaEmbedComponent, "powerbi-qna[embedConfig]", never, { "embedConfig": { "alias": "embedConfig"; "required": false; }; "eventHandlers": { "alias": "eventHandlers"; "required": false; }; }, {}, never, never, false, never>;
}
