import { AfterViewInit, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { IReportEmbedConfiguration, Report } from 'powerbi-client';
import { EventHandler, PowerBIEmbedComponent } from '../powerbi-embed/powerbi-embed.component';
import * as i0 from "@angular/core";
/**
 * Report component to embed the report, extends the Base Component
 */
export declare class PowerBIReportEmbedComponent extends PowerBIEmbedComponent implements OnInit, OnChanges, AfterViewInit {
    embedConfig: IReportEmbedConfiguration;
    phasedEmbedding?: boolean;
    eventHandlers?: Map<string, EventHandler | null>;
    private containerRef;
    private _embed?;
    private get embed();
    private set embed(value);
    constructor();
    getReport(): Report;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    /**
     * Embed or load the PowerBI Report based on phasedEmbedding flag
     *
     * @returns void
     */
    private embedReport;
    static ɵfac: i0.ɵɵFactoryDeclaration<PowerBIReportEmbedComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PowerBIReportEmbedComponent, "powerbi-report[embedConfig]", never, { "embedConfig": { "alias": "embedConfig"; "required": false; }; "phasedEmbedding": { "alias": "phasedEmbedding"; "required": false; }; "eventHandlers": { "alias": "eventHandlers"; "required": false; }; }, {}, never, never, false, never>;
}
