import { AfterViewInit, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { ITileEmbedConfiguration, Tile } from 'powerbi-client';
import { EventHandler, PowerBIEmbedComponent } from '../powerbi-embed/powerbi-embed.component';
import * as i0 from "@angular/core";
/**
 * Tile component to embed the tile, extends Base component
 */
export declare class PowerBITileEmbedComponent extends PowerBIEmbedComponent implements OnInit, OnChanges, AfterViewInit {
    embedConfig: ITileEmbedConfiguration;
    eventHandlers?: Map<string, EventHandler | null>;
    private containerRef;
    private _embed?;
    private get embed();
    private set embed(value);
    constructor();
    getTile(): Tile;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    /**
     * Embed the PowerBI Tile
     *
     * @returns void
     */
    private embedTile;
    static ɵfac: i0.ɵɵFactoryDeclaration<PowerBITileEmbedComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PowerBITileEmbedComponent, "powerbi-tile[embedConfig]", never, { "embedConfig": { "alias": "embedConfig"; "required": false; }; "eventHandlers": { "alias": "eventHandlers"; "required": false; }; }, {}, never, never, false, never>;
}
