import { AfterViewInit, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { IVisualEmbedConfiguration, Visual } from 'powerbi-client';
import { EventHandler, PowerBIEmbedComponent } from '../powerbi-embed/powerbi-embed.component';
import * as i0 from "@angular/core";
/**
 * Visual component to embed the visual, extends Base component
 */
export declare class PowerBIVisualEmbedComponent extends PowerBIEmbedComponent implements OnInit, OnChanges, AfterViewInit {
    embedConfig: IVisualEmbedConfiguration;
    eventHandlers?: Map<string, EventHandler | null>;
    private containerRef;
    private _embed?;
    private get embed();
    private set embed(value);
    constructor();
    getVisual(): Visual;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    /**
     * Embed the PowerBI Visual
     *
     * @returns void
     */
    private embedVisual;
    static ɵfac: i0.ɵɵFactoryDeclaration<PowerBIVisualEmbedComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PowerBIVisualEmbedComponent, "powerbi-visual[embedConfig]", never, { "embedConfig": { "alias": "embedConfig"; "required": false; }; "eventHandlers": { "alias": "eventHandlers"; "required": false; }; }, {}, never, never, false, never>;
}
