import { ElementRef } from '@angular/core';
import { EventHandler } from '../components/powerbi-embed/powerbi-embed.component';
/**
 * Get JSON string representation of the given map.
 *
 * @param map Map of event and corresponding handler method
 *
 */
export declare const stringifyMap: (map: Map<string, EventHandler | null> | undefined) => string;
/**
 * Check if the container element, access token, and embed URL are available.
 *
 * @param containerRef Reference to the container element
 * @param embedConfig Configuration object for the embed, containing access token and embed URL
 *
 */
export declare const isEmbedSetupValid: (containerRef: ElementRef<HTMLDivElement>, embedConfig: any) => boolean;
export declare const sdkType = "powerbi-client-angular";
export declare const sdkWrapperVersion = "5.0.0";
